Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.ldap
Class LDAPUserImpl

    java.lang.Object
      org.jboss.portal.identity.ldap.LDAPUserImpl

All Implemented Interfaces:
  User

    public class LDAPUserImpl

extends java.lang.Object
implements User

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Nested Class Summary
`static class` | `LDAPUserImpl.LDAPUserComparator`

Field Summary

Fields inherited from interface org.jboss.portal.identity.User
`INFO_USER_EMAIL_FAKE, INFO_USER_EMAIL_REAL, INFO_USER_ENABLED, INFO_USER_EXTRA, INFO_USER_HOMEPAGE, INFO_USER_IM_AIM, INFO_USER_IM_ICQ, INFO_USER_IM_MSNM, INFO_USER_IM_SKYPE, INFO_USER_IM_XMMP, INFO_USER_IM_YIM, INFO_USER_INTERESTS, INFO_USER_LAST_LOGIN_DATE, INFO_USER_LOCALE, INFO_USER_LOCATION, INFO_USER_NAME_FAMILY, INFO_USER_NAME_GIVEN, INFO_USER_OCCUPATION, INFO_USER_REGISTRATION_DATE, INFO_USER_SECURITY_ANSWER, INFO_USER_SECURITY_QUESTION, INFO_USER_SIGNATURE, INFO_USER_THEME, INFO_USER_TIME_ZONE_OFFSET, INFO_USER_VIEW_EMAIL_VIEW_REAL`

Constructor Summary
`protected` | `LDAPUserImpl(java.lang.String dn, IdentityContext context, java.lang.String id)` Creates a ldap user implementation instance

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getDn()`
`java.lang.Object` | `getId()` The user identifier.
`protected LDAPUserModule` | `getUserModule()`
`java.lang.String` | `getUserName()` The user name.
`UserProfileModule` | `getUserProfileModule()`
`int` | `hashCode()`
`void` | `setId(java.lang.String id)`
`void` | `setUserName(java.lang.String userName)`
`void` | `setUserProfileModule(UserProfileModule userProfileModule)`
`void` | `updatePassword(java.lang.String password)` Set the password using proper encoding.
`boolean` | `validatePassword(java.lang.String password)` Return true if the password is valid.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDAPUserImpl

    protected LDAPUserImpl(java.lang.String dn,
                           IdentityContext context,
                           java.lang.String id)
                    throws IdentityException

  Creates a ldap user implementation instance

  Parameters:
    `dn` -
    `context` -
  Throws:
    `IdentityException`

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### updatePassword

    public void updatePassword(java.lang.String password)
                        throws IdentityException

  Description copied from interface: `User`
  Set the password using proper encoding.

  Specified by:
    `updatePassword` in interface `User`
  Throws:
    `IdentityException`

### validatePassword

    public boolean validatePassword(java.lang.String password)

  Description copied from interface: `User`
  Return true if the password is valid.

  Specified by:
    `validatePassword` in interface `User`

### getDn

    public java.lang.String getDn()

### setId

    public void setId(java.lang.String id)

### getId

    public java.lang.Object getId()

  Description copied from interface: `User`
  The user identifier.

  Specified by:
    `getId` in interface `User`

### getUserProfileModule

    public UserProfileModule getUserProfileModule()

### setUserProfileModule

    public void setUserProfileModule(UserProfileModule userProfileModule)

### getUserName

    public java.lang.String getUserName()

  Description copied from interface: `User`
  The user name.

  Specified by:
    `getUserName` in interface `User`

### setUserName

    public void setUserName(java.lang.String userName)

### getUserModule

    protected LDAPUserModule getUserModule()
                                    throws IdentityException

  Throws:
    `IdentityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD